Invite User

POSThttps://sandbox-api.truthlocks.com/v1/usersAuth required

Invites a new user to the organization. The user will receive an email with instructions to complete setup.

Body Parameters

emailemailrequired

Email address to invite

Defaults to newuser@example.com

namestring

Full name of the user

Defaults to John Doe

role_iduuidrequired

Role to assign to the user

Responses

{
  "id": "990e8400-e29b-41d4-a716-446655440000",
  "org_id": "440e8400-e29b-41d4-a716-446655440000",
  "email": "newuser@example.com",
  "name": "John Doe",
  "status": "INVITED",
  "created_at": "2026-01-13T12:00:00Z"
}
POST/v1/users
Language
CredentialsHEADER
Authorization
cURL Request
Examples ▾
curl --request POST \
  --url https://sandbox-api.truthlocks.com/v1/users \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --data '{
  "email": "newuser@example.com",
  "name": "John Doe"
}'
Response

Click Try It! to send a real request, or view sample responses: